# Created by pyp2rpm-3.3.5
%global pypi_name whatthepatch

Name:           python-%{pypi_name}
Version:        1.0.5
Release:        %mkrel 1
Summary:        A patch parsing and application library
Group:          Development/Python
License:        MIT
URL:            https://github.com/cscorley/whatthepatch
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
What The Patch!? is a library for both parsing and applying
patch files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
What The Patch!? is a library for both parsing and applying
patch files.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Sun Feb 18 2024 papoteur <papoteur> 1.0.5-1.mga10
+ Revision: 2042406
- new version 1.0.5

* Wed Sep 07 2022 papoteur <papoteur> 1.0.2-1.mga9
+ Revision: 1884967
- imported package python-whatthepatch

